package db

import (
	"database/sql"
	"fmt"
	"log"
	"os"
	"strings"

	_ "github.com/microsoft/go-mssqldb"
)

var MssqlDB *sql.DB

func ConnectMSSQL() {
	connString := strings.TrimSpace(os.Getenv("MSSQL_CONN"))

	if connString == "" {
		// Fallback
		connString = "server=100.127.186.137;user id=sa;password=Gi l_0150;port=1433;database=BAGGI_V3"
	}

	var err error
	MssqlDB, err = sql.Open("sqlserver", connString)
	if err != nil {
		log.Fatal("MSSQL bağlantı hatası:", err)
	}

	err = MssqlDB.Ping()
	if err != nil {
		log.Fatal("MSSQL erişilemiyor:", err)
	}

	fmt.Println("✅ MSSQL bağlantısı başarılı!")
}

func GetDB() *sql.DB {
	return MssqlDB
}
